X2Go Bug report logs - #1592
X2Go Windows Client fails to connect to hostname resolving to both IPv4 and IPv6

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: me@jcn50.com

Date: Thu, 24 Nov 2022 16:10:02 UTC

Severity: normal

Merged with 1593, 1594

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1592; Package x2go windows client. (Thu, 24 Nov 2022 16:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to me@jcn50.com:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Thu, 24 Nov 2022 16:10:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: me@jcn50.com
To: submit@bugs.x2go.org
Subject: X2Go Windows Client fails to connect to hostname resolving to both IPv4 and IPv6
Date: Thu, 24 Nov 2022 16:05:36 +0000
Package: X2Go Windows Client
Version: 4.1.2.2

I have a hostname that has both 1x IPv4 address (A records) and 1x IPv6 
address (AAAA records). The client fails to connect (connection timeout 
error) if I use the hostname. However if I enter the IPv4 or the IPv6 
instead of the hostname: no problem!

Proposed solution: it should try to connect/resolve to the IPv6 first, 
then the IPv4.

Regards,
Chris.


Merged 1592 1593 Request was from x2go@jugra.de to control@bugs.x2go.org. (Wed, 14 Dec 2022 20:50:02 GMT) (full text, mbox, link).


Merged 1592 1593 1594 Request was from x2go@jugra.de to control@bugs.x2go.org. (Wed, 14 Dec 2022 20:50:02 GMT) (full text, mbox, link).


Bug reassigned from package 'x2go windows client' to 'x2goclient'. Request was from x2go@jugra.de to control@bugs.x2go.org. (Wed, 14 Dec 2022 20:50:03 GMT) (full text, mbox, link).


No longer marked as found in versions 4.1.2.2. Request was from x2go@jugra.de to control@bugs.x2go.org. (Wed, 14 Dec 2022 20:50:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1592; Package x2goclient. (Wed, 14 Feb 2024 23:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Eric Reischer <ereisch99@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Feb 2024 23:45:01 GMT) (full text, mbox, link).


Message #18 received at 1592@bugs.x2go.org (full text, mbox, reply):

From: Eric Reischer <ereisch99@gmail.com>
To: 1592@bugs.x2go.org
Subject: X2Go Windows Client fails to connect to hostname resolving to both IPv4 and IPv6
Date: Wed, 14 Feb 2024 18:43:10 -0500
[Message part 1 (text/plain, inline)]
This should actually be a feature request.  Many ISPs and/or personal
routers do not offer v6 routing capabilities yet, but DNS will still
return both the "A" and "AAAA" records for a hostname.  If the system
has a link-local v6 address defined, it may attempt to connect to the
v6 address when no route exists to it.

Suggest offering an "Auto", "IPv4", "IPv6" selection choice in the
"Server" specification window, similar to how PuTTY does it.
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu May 30 19:16:43 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.